// bure.h - Klasa buradi.

#ifndef _bure_h_
#define _bure_h_

#include "teret.h"

class Bure: public Teret {
  double r, h;                               // Poluprecnik i visina valjka.
public:
  explicit Bure(double s=1, double rr=1, double hh=1): // Inicijalizacija.
    Teret(s), r(rr), h(hh) {}
  char vrsta() const { return 'B'; }                   // Oznaka vrste.
  double zapr() const                                  // Zapremina.
    { return r * r * 3.14159 * h; }
  Bure* kopija() const { return new Bure(*this); }     // Kopiranje.
};

#endif
