// crtez2.h - Klasa crtea.

#ifndef _crtez2_h_
#define _crtez2_h_

#include "figura4.h"
#include "niz7.h"
#include <iostream>
using namespace std;
class Crtez: public Figura {
  Niz<Figura> niz;                             // Niz figura.
  void pisi(ostream& it) const { it << niz; }  // Pisanje.
public:
  explicit Crtez(int kap): niz(kap) {}         // Stvaranje praznog crtea.
  Crtez& operator+=(const Figura& f)           // Dodavanje figure.
    { niz += f; return *this;}
  Crtez& operator+=(const Vektor& v);          // Pomeranje crtea.
  Crtez* kopija() const { return new Crtez(*this); } // Kopiranje.
};

#endif
