// duz1.h - Klasa dui u ravni.

#ifndef _duz1_h_
#define _duz1_h_

#include "linija.h"
#include "tacka6.h"
#include <cmath>
using namespace std;

namespace Linije {
  class Duz: public Linija {
    Tacka A, B;                                      // Krajnje tacke.
  public:
    explicit Duz(const Tacka& P=Tacka(-1,-1),        // Konstruktor.
                 const Tacka& Q=Tacka(1,1)): A(P), B(Q) {}
    double duzina() const                            // Duina.
      { return sqrt(pow(A.aps()-B.aps(),2) + pow(A.ord()-B.ord(),2)); }
    Duz* kopija() const                              // Kopiranje.
      { return new Duz(*this); }
  private:
    void pisi(ostream& it) const                     // Pisanje.
      { Linija::pisi(it); it << "[duz: A" << A << ", B" << B << ']'; }
  };
}

#endif
