// ispit.h - Klasa ispita.

#ifndef _ispit_h_
#define _ispit_h_

class Ispit {
  char sif;                             // ifra ispita.
  short oce;                            // Ocena.
  Datum pol;                            // Datum polaganja.
  Ispit(const Ispit&) {}                // Ne sme da se kopira.
  void operator=(const Ispit&) {}       // Ne sme da se dodeljuje.
public:
  Ispit(char si, short oc, Datum po)    // Konstruktor.
    { sif = si; oce = oc; pol = po; }
  char  dohvSif() const { return sif; } // Dohvatanje ifre.
  short dohvOce() const { return oce; } // Dohvatanje ocene.
  Datum dohvPol() const { return pol; } // Dohvatanje datuma polaganja.
};

#endif
