// niz2gr.h - Klase greaka.

#ifndef _niz2gr_h_
#define _niz2gr_h_

#include <iostream>
using namespace std;

class GPun {};         // GREKA: Niz je pun.

class GPrazno {        // GREKA: Mesto u nizu je prazno.
public:
  friend ostream& operator<<(ostream& it, const GPrazno&)
    { return it << "*** GRESKA: Pristup praznom mestu u nizu! ***\n"; }
};

class GIndeks {        // GREKA: Indeks je izvan opsega.
  int ind, duz;        // Pogrean indeks i duina niza.
public:
  GIndeks(int i, int d) { ind = i; duz = d; }
  int dohvInd() const { return ind; } // Dohvatanje pogrenog indeksa.
  int dohvDuz() const { return duz; } // Dohvatanje duine niza.
  friend ostream& operator<<(ostream& it, const GIndeks& g) {
    return it << "*** GRESKA: Nedozvoljen indeks " << g.ind
              << " u nizu duzine " << g.duz << "! ***\n";
  }
};

#endif
