// prom.C - Staticko polje i metgode klase promenljivih.

#include "prom.h"

Izrazi::Prom::Elem* Izrazi::Prom::prvi = 0; // Lista svih promenljivih.

void Izrazi::Prom::pravi(const char* ime, double vr) { // Stvaranje
  Elem *tek = prvi, *pret=0; int p;                    //   objekta.
  while (tek && (p = strcmp(tek->ime,ime))<0)
    { pret = tek; tek = tek->sled; }
  if (tek && p==0) { // Ime vec postoji.
    ovaj = tek; ovaj->brKor++;
  } else {           // Novo ime.
    Elem* novi = new Elem(ime, vr, pret, tek);
    if (tek) tek->pret = novi;
    (!pret ? prvi : pret->sled) = novi;
    ovaj = novi;
  }
}

void Izrazi::Prom::pisiSve(ostream& it) {
  for (Elem* tek=prvi; tek; tek=tek->sled)
    it << tek->ime << ' ';
  it << endl;
}
