// racbroj.C - Metode i funkcije uz klasu racionalnih brojeva.

#include "racbroj.h"
#include <cstdlib>
using namespace std;

namespace Aritmetika {
  long RacBroj::nzd(long a, long b) {    // Najveci zajednicki delilac.
    while (b != 0) { long c = a % b; a = b; b = c; }
    return a;
  }

  istream& operator>>(istream& ut, RacBroj& r) {       // Citanje.
    long a, b = 1; ut >> a;
    if (ut.peek() == '/') { ut.get(); ut >> b; }
    r = RacBroj(a, b);
    return ut;
  }

  ostream& operator<<(ostream& it, const RacBroj& r) { // Pisanje.
    it << r.x;
    if (r.y != 1) it << '/' << r.y;
    return it;
  } 
}
