// skalar.h - Klasa skalarnih podataka.

#ifndef _skalar_h_
#define _skalar_h_

#include "podatak.h"

class Skalar: public Podatak {
  double vredn;                                        // Vrednost podatka.
public:
  Skalar(double v=0) { vredn = v; }                    // Konstruktor.
  Skalar* kopija() const { return new Skalar(*this); } // Kopiranje.
  double vr() const { return vredn; }                  // Vrednost.
private:
  void pisi(ostream& it) const { it << vredn; }        // Pisanje.
};

#endif
