// vozilo3.h - Apstraktna klasa vozila.

#ifndef _vozilo3_h_
#define _vozilo3_h_

#include <iostream>
using namespace std;

class Vozilo {
  float sopTez;                                   // Sopstvena teina.
public:
  Vozilo(float tez) { sopTez = tez; }             // Inicijalizacija.
  virtual ~Vozilo() {}                            // Virtuelan destruktor.
  virtual const char* vrsta() const =0;           // Naziv vrste vozila.
  virtual float tezina() const { return sopTez; } // Teina vozila.
protected:
  virtual void pisi(ostream& it) const            // Pisanje.
    { it << vrsta() << ' ' << sopTez;  }
  friend ostream& operator<<(ostream& it, const Vozilo& v)
    { v.pisi(it); return it; }
};

#endif
