// imenik1.h - Definicija klase imenika.

#include "osoba1.h"

class Imenik {
  struct Elem {                           // Element liste:
    Osoba oso;                            // - sadrana osoba.
    Elem* sled;                           // - pokazivac na sledeci element.
    Elem(const Osoba& o, Elem* s=0):      // - konstruktor
      oso(o) { sled = s; }
  };
  Elem* prvi;                             // Pokazivac na pocetak liste.
public:
  Imenik() { prvi=0; }                    // Stvaranje praznog imenika.
  Imenik(const Imenik& im);               // Konstruktor kopije.
  ~Imenik();                              // Destruktor.
  Imenik& dodaj(const Osoba& oso);        // Dodavanje osobe.
  void pisi() const;                      // Pisanje imenika.
};
