// kompl2.h - Klasa kompleksnih brojeva.

#ifndef _kompl2_h_
#define _kompl2_h_

#include "objekat.h"

class Kompl: public Obj {
  double re, im;                                     // Sadraj objekta.
  bool jednako(const Obj& obj) const                 // Da li su jednaki?
    { return re==((Kompl&)obj).re && im==((Kompl&)obj).im; }
  void pisi (ostream& it) const                      // Pisanje.
    { it << '(' << re << ',' << im << ')'; }
  void citaj(istream& ut)                            // Citanje.
    { char zn; ut >> zn >> re >> zn >> im >> zn; }
public:
  Kompl(double x=0, double y=0): re(x), im(y) {}     // Inicijalizacija.
  Kompl* kopija() const                              // Kopiranje.
    { return new Kompl(*this); }
};

#endif
