// maskvad.h - Klasa maina za kvadre.

#ifndef _maskvad_h_
#define _maskvad_h_

#include "masina.h"
#include "kvadar4.h"

namespace Fabrika {
  class MasKvad: public Masina {
    double a, b, c;                       // Dimenzije pravljenih kvadara.
    Kvadar* pravi() const                     // Napravi kvadar.
      { return new Kvadar(a, b, c); }
  public:
    MasKvad(double aa, double bb, double cc)  // Inicijalizacija.
      { a = aa; b = bb; c = cc; }
    char vrsta() const { return Kvadar::VR; } // Vrsta pravljenih proizv.
    double dohvA() const { return a; }        // Dohvatanje dimenzija
    double dohvB() const { return b; }        //   pravljenih kvadara.
    double dohvC() const { return c; }
  }; // calss MasKvad
} // namespace Fabrika

#endif
