// massfera.h - Klasa maina za sfere.

#ifndef _massfera_h_
#define _massfera_h_

#include "masina.h"
#include "sfera3.h"

namespace Fabrika {
  class MasSfera: public Masina {
    double r;                              // Poluprecnik pravljenih sfera.
    Sfera* pravi() const                   // Napravi sferu.
      { return new Sfera(r); }
  public:
    MasSfera(double rr) { r = rr; }            // Inicijalizacija.
    char vrsta() const { return Sfera::VR; }   // Vrsta pravljenih proizv.
    double dohvR() const { return r; }         // Dohvatanje poluprecnika
  }; // class MasSfera                         //   pravljenih sfera.
} // namesapace Fabrika

#endif
