// nizmatc.h - Definicija klase nizova materijalnih tacaka.

#include "mattacka.h"

class NizMTac {
  MatTacka* niz;                          // Niz tacaka.
  int kap, duz;                           // Kapacitet i duina niza.
public:
  explicit NizMTac(int k=5) {             // Stvaranje praznog niza.
    niz = new MatTacka [kap = k];
    duz = 0;
  }
  NizMTac(const NizMTac& n);              // Konstruktor kopije.
  ~NizMTac() { delete [] niz; }           // Destruktor.
  int vel() const { return duz; }         // Velicina niza.
  NizMTac& dodaj(const MatTacka& T);      // Dodavanje tacke.
  MatTacka maxF(const MatTacka& T) const; // Najjaca tacka.
  void pisi() const;                      // Pisanje niza.
};
