// trkackiautot.C - Ispitivanje klase trkackih automobila.

#include "trkackiauto.h"
#include "voznja.h"
#include "etapa.h"
#include <iostream>
using namespace std;

void main() {
  try {
    TrkackiAuto ta(800, 10);
    ta.novaVoznja(3)
      .dodajEtapu(Etapa(100, 50))
      .dodajEtapu(Etapa(200, 80))
      .dodajEtapu(Etapa(150, 70))
      .novaVoznja(3)
      .dodajEtapu(Etapa(300, 70))
      .dodajEtapu(Etapa(150, 60))
      .dodajEtapu(Etapa(200, 70)) ;
    cout << ta << endl;
    const Voznja& v = ta.najbrza();
    cout << "Najbrza voznja: " << v << endl;
  } catch (GNizPun g) { cout << g << endl;
  } catch (GIndeks g) { cout << g << endl;
  }
}
