// valjak2.h - Klasa valjaka.

#ifndef _valjak2_h_
#define _valjak2_h_

#include "telo1.h"

class Valjak: public Telo {
  double r, h;                                     // Poluprecnik i visina.
public:
  Valjak(double rr=1, double hh=1) { r = rr; h = hh;}      // Konstruktor.
  char vrsta() const { return 'V'; }                       // Oznaka vrste.
  double V() const { return r*r * 3.14159 * h; }           // Zapremina.
  Valjak* kopija() const { return new Valjak(*this); }     // Kopiranje.
private:
  void pisi(ostream& it) const                             // Pisanje.
    { it << "V(" << r << ',' << h << ')'; }
};

#endif
